Subject: bug#67535: Does anyone use i686-linux? [was Re: bug#67535: ci.guix.gnu.org 'Cannot allocate memory' while building for i686-linux]

From: Kaelyn <[email-masked]>
Date: Fri, 26 Jul 2024 20:17:40 +0000

Hi,

On Friday, July 26th, 2024 at 11:51 AM, Leo Famulari <[email-masked]> wrote:

> 
> 
> For a long time we've not been able to build linux-libre on i686-linux
> because the source unpacking process runs out of memory.
> 
> I'm forwarding this bug to guix-devel to get more attention.
> 
> Is anybody actually using i686-linux anymore? Or should we begin to
> officially remove support for it?

I'm not sure about i686-linux's usage for a complete system (and I know several other distributions either already have or have plans to drop support for booting 32-bit x86 systems), but at least the "multi-lib" portion of i686-linux packages are needed for the wine and wine64 packages (and their "-staging" variants) on x86_64-linux systems.

Cheers,
Kaelyn